Subject: RE: Error message from gcc: "entry point putc_unlocked could not be l ocated ..."
From: David Guaspari <[email-masked]>
To: Vince Hoffman <[email-masked]>, "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 23 Jul 2003 19:22:52 -0400

Correct advice, thank you.  There was an old copy of cygwin1.dll lying
around.

David Guaspari
ATC-NY
33 Thornwood Drive, Suite 500
Ithaca NY 14850
(607) 266-7114
[email-masked]

-----Original Message-----
From: Larry Hall [mailto:[email-masked]] 
Sent: Wednesday, July 23, 2003 2:48 PM
To: Vince Hoffman
Cc: 'David Guaspari'; [email-masked]'
Subject: Re: Error message from gcc: "entry point putc_unlocked could not be
l ocated ..."

If you weren't upgrading Cygwin on this machine, then follow
Vince's advice.  You have an older copy of cygwin1.dll on your system
somewhere.  Otherwise, just reboot.  You must have Cygwin services
running which prevent the newly upgraded DLL from replacing the
existing one.  You should have gotten a message from setup about this
though.

Larry

Vince Hoffman wrote:

> You may have 2 versions of the cygwin dll then, post the contents of
> cygcheck -s -v -r as an uncompressed attachment to the list. (and try a
> search on cygwin1.dll and see if you can find it more than once.
> 
> 
>>-----Original Message-----
>>From: David Guaspari [mailto:[email-masked]]
>>Sent: 23 July 2003 19:21
>>To: [email-masked]'
>>Subject: Error message from gcc: "entry point putc_unlocked 
>>could not be
>>l ocated ..."
>>
>>
>>I just installed cygwin1.dll 1.3.22-1 and gcc 3.2.3. 
>>Attempts to compile with gcc result in the error message:
>>
>>"entry point putc_unlocked could not be located in the 
>>dynamic link library
>>cygwin1.dll"
>>
>>Queries about this were posted to the archive a year or so 
>>ago, and the
>>replies all said, essentially, "your cygwin1.dll is out of date."  
>>
>>As nearly as I can figure, everything on my system is 
>>completely up to date
>>-- and I've also reinstalled cygwin and gcc.
>>
>>Any suggestions on what to try next?  
>>
>>David Guaspari
>>ATC-NY
>>33 Thornwood Drive, Suite 500
>>Ithaca NY 14850
>>(607) 266-7114
>>[email-masked]
>>
>

-- 
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/